%define kdename kmemmon
%define	version 0.2
%define release 3mdk
%define prefix /usr

Name: %{kdename}
Summary: Memory load montior
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: %{name}.menu
Source2: %{name}_icons.tar.bz2
Group: Monitoring
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs
Prefix: %{_prefix}

%description
Memory utilization monitor for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
tar xvfy %{SOURCE2}

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT

if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root) 
%doc COPYRIGHT README ChangeLog
%{prefix}/bin/kmemmon
%{prefix}/share/applnk/Utilities/kmemmon.kdelnk
/usr/lib/menu/*
/usr/share/icons/%{name}.xpm
/usr/share/icons/large/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm


%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- Different size for icon menu entry

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- Add icon

* Wed Mar 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- add menu entry
- corrected group

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- v0.2 build

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sat Sep 04 1999 Franois PONS <fpons@mandrakesoft.com>
- Patched the applnk not to use a full pathname.

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

